#include "gis.h"
#include <libpq-fe.h>
#define TABLEN 20

infxTables()
  {
    FILE *fp;   
    int buflen, i;
    char buf[1024];
    char *tmpfile;
    PGconn     *pg_conn;
    PGresult   *res;
    char       *pghost;
    char	*pgdbase;
    int	       rec_num;

pghost = G_getenv ("PG_HOST");
pgdbase = G_getenv ("PG_DBASE");
pg_conn = PQsetdb(pghost,NULL,NULL,NULL,pgdbase);

if (PQstatus (pg_conn) == CONNECTION_BAD) {
    fprintf (stderr, "Error Selecting from Postgres:%s\n",
       PQcmdStatus(pg_conn));
    exit (-1);
  }
  
 res  = PQexec(pg_conn, "select tablename from pg_tables where tableowner <> 'postgres' union select viewname from pg_views where viewowner <> 'postgres'");
 
 if ( PQresultStatus (res) != PGRES_TUPLES_OK ) {
    printf ("Error Connecting to Postgres:%s\n",PQerrorMessage(pg_conn));
    PQfinish(pg_conn);
    exit (-1);      
  } 	   
 
 rec_num = PQntuples (res);
 for ( i=0; i < rec_num; i++)
       printf ("%s\n", PQgetvalue(res,i,0));
 
    
PQclear (res);
PQfinish (pg_conn);    

}